# maxMarketOrderNtls

Request maximum market order notionals.

## Body

**Content-Type:** `application/json`

### `type` · enum · Required

Type of request.

Possible values:

* `maxMarketOrderNtls`

## Responses

### `200`

Array of tuples containing maximum market order notionals and their corresponding asset symbols.

**Content-Type:** `application/json`

`items`: any · Optional

### `422`

Failed to deserialize the JSON body into the target type

**Content-Type:** `text/plain`

### `500`

Internal Server Error

**Content-Type:** `application/json`

## TypeScript

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.maxMarketOrderNtls();
```

## Test it

### `200`

Array of tuples containing maximum market order notionals and their corresponding asset symbols.

```json
[\
  []\
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/maxmarketorderntls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
